# Uses of Enum
org.apache.commons.math3.stat.ranking.NaNStrategy

Packages that use NaNStrategy
Package
Description
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.
org.apache.commons.math3.stat.ranking
Classes providing rank transformations.

## Uses of NaNStrategy in org.apache.commons.math3.stat.descriptive.rank

Methods in org.apache.commons.math3.stat.descriptive.rank that return NaNStrategy
Modifier and Type
Method
Description
`NaNStrategy`
Percentile.`getNaNStrategy()`
Get the `NaN Handling` strategy used for computation.
Methods in org.apache.commons.math3.stat.descriptive.rank with parameters of type NaNStrategy
Modifier and Type
Method
Description
`Median`
Median.`withNaNStrategy(NaNStrategy newNaNStrategy)`
Build a new instance similar to the current one except for the `NaN handling` strategy.
`Percentile`
Percentile.`withNaNStrategy(NaNStrategy newNaNStrategy)`
Build a new instance similar to the current one except for the `NaN handling` strategy.
Constructors in org.apache.commons.math3.stat.descriptive.rank with parameters of type NaNStrategy
Modifier
Constructor
Description
`protected`
`Percentile(double quantile, Percentile.EstimationType estimationType, NaNStrategy nanStrategy, KthSelector kthSelector)`
Constructs a Percentile with the specific quantile value, `Percentile.EstimationType`, `NaNStrategy` and `KthSelector`.

## Uses of NaNStrategy in org.apache.commons.math3.stat.inference

Constructors in org.apache.commons.math3.stat.inference with parameters of type NaNStrategy
Modifier
Constructor
Description
``
`MannWhitneyUTest(NaNStrategy nanStrategy, TiesStrategy tiesStrategy)`
Create a test instance using the given strategies for NaN's and ties.
``
`WilcoxonSignedRankTest(NaNStrategy nanStrategy, TiesStrategy tiesStrategy)`
Create a test instance using the given strategies for NaN's and ties.

## Uses of NaNStrategy in org.apache.commons.math3.stat.ranking

Fields in org.apache.commons.math3.stat.ranking declared as NaNStrategy
Modifier and Type
Field
Description
`static final NaNStrategy`
NaturalRanking.`DEFAULT_NAN_STRATEGY`
default NaN strategy
Methods in org.apache.commons.math3.stat.ranking that return NaNStrategy
Modifier and Type
Method
Description
`NaNStrategy`
NaturalRanking.`getNanStrategy()`
Return the NaNStrategy
`static NaNStrategy`
NaNStrategy.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NaNStrategy[]`
NaNStrategy.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.stat.ranking with parameters of type NaNStrategy
Modifier
Constructor
Description
``
`NaturalRanking(NaNStrategy nanStrategy)`
Create a NaturalRanking with the given NaNStrategy.
``
`NaturalRanking(NaNStrategy nanStrategy, RandomGenerator randomGenerator)`
Create a NaturalRanking with the given NaNStrategy, TiesStrategy.RANDOM and the given source of random data.
``
`NaturalRanking(NaNStrategy nanStrategy, TiesStrategy tiesStrategy)`
Create a NaturalRanking with the given NaNStrategy and TiesStrategy.